Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xdb.servlet
Class XDBCookie

`java.lang.Object
javax.servlet.http.Cookie
oracle.xdb.servlet.XDBCookie`

All Implemented Interfaces:
  java.lang.Cloneable

      public class XDBCookie

extends javax.servlet.http.Cookie

XDB cookie accessor class. Only used for cookies read by the client.

Constructor Summary
`XDBCookie(int index)` Construct an XDBCookie given an index.

Method Summary

Methods inherited from class javax.servlet.http.Cookie
`clone, getComment, getDomain, getMaxAge, getName, getPath, getSecure, getValue, getVersion, setComment, setDomain, setMaxAge, setPath, setSecure, setValue, setVersion`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XDBCookie

    public XDBCookie(int index)

  Construct an XDBCookie given an index. Get the cookie name and cookie value from the C layer, and use it to construct the Cookie object. Optionally, if domain and path are defined for this index in the C layer, then set the corresponding values for the Cookie object.
  Parameters:
    `index` - Used for indexing into the C layer cookie infrastructure.

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.